Bug 196841 - remote FS doesn't work if any part of path to file does not have read permission
remote FS doesn't work if any part of path to file does not have read permission
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0.1
All All
: P1 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-18 10:39 UTC by Vladimir Voskresensky
Modified: 2011-04-05 13:31 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Fix prototype (7.62 KB, patch)
2011-03-23 18:43 UTC, Vladimir Kvashin
Details | Diff
refactoring RemoteDirectory (17.22 KB, patch)
2011-03-24 13:01 UTC, Vladimir Voskresensky
Details | Diff
proposed fix, part #1 (7.51 KB, patch)
2011-03-28 07:14 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-03-18 10:39:17 UTC
in most cases NFS homes does not allow not-owners see it's content, but when we share smth between each other we create readable folders like /home/userN/shared

Due to 'no read access' to /home/userN folder =>
1) File chooser does not allow to view content of  /home/userN/shared
(null file object in console output)
2) fileSystem.findResource("/home/userN/shared") also returns null => no access to file contents
Comment 1 Vladimir Voskresensky 2011-03-18 10:40:14 UTC
Note: from command line I can do ls of /home/userN/shared/ and cat /home/userN/shared/file.txt without problems
Comment 2 Leonid Lenyashin 2011-03-18 10:57:29 UTC
Looks a show stopper. A very annoying one. There was already a very similar bug.
Comment 3 Alexander Pepin 2011-03-22 18:00:53 UTC
I think it's a showstopper for FCS.
Comment 4 Vladimir Kvashin 2011-03-23 18:43:10 UTC
Created attachment 107224 [details]
Fix prototype
Comment 5 Quality Engineering 2011-03-24 09:51:36 UTC
Integrated into 'main-golden', will be available in build *201103240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7feefeae05af
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: test for #196841 remote FS doesn't work if any part of path to file does not have read permission
Comment 6 Vladimir Voskresensky 2011-03-24 13:01:08 UTC
Created attachment 107241 [details]
refactoring RemoteDirectory
Comment 7 Quality Engineering 2011-03-25 09:53:08 UTC
Integrated into 'main-golden', will be available in build *201103250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d3f12c37eac7
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #196841 -  remote FS doesn't work if any part of path to file does not have read permission
- final class
Comment 8 Vladimir Kvashin 2011-03-28 07:14:07 UTC
Created attachment 107322 [details]
proposed fix, part #1
Comment 9 Quality Engineering 2011-03-28 08:48:12 UTC
Integrated into 'main-golden', will be available in build *201103280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6418b1073651
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: more complete events test (fixing #196841)
Comment 11 Quality Engineering 2011-03-30 08:43:33 UTC
Integrated into 'main-golden', will be available in build *201103300400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b1f1cc54b645
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #196841: remote FS doesn't work if any part of path to file does not have read permission
Comment 12 Alexander Pepin 2011-03-30 10:57:24 UTC
It works on Windows but does not work on Linux reporting that a remote directory or a file does not exist.
Comment 13 Alexander Pepin 2011-03-30 10:59:24 UTC
IDE log contains IOException:


INFO [org.openide.WizardDescriptor]
java.io.IOException: Remote file or directory /home/ap153252/exchange/tmp/Welcome_in_shared does not exist
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.createShadowProject(ShadowProjectSynchronizer.java:143)
	at org.netbeans.modules.cnd.makeproject.ui.wizards.RemoteProjectImportWizardIterator.instantiate(RemoteProjectImportWizardIterator.java:271)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1548)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1505)
	at org.openide.WizardDescriptor.access$1700(WizardDescriptor.java:137)
[catch] at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2076)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
INFO [org.openide.WizardDescriptor]
java.io.IOException: Remote file or directory /home/ap153252/exchange/tmp/Welcome_in_shared does not exist
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.createShadowProject(ShadowProjectSynchronizer.java:143)
	at org.netbeans.modules.cnd.makeproject.ui.wizards.RemoteProjectImportWizardIterator.instantiate(RemoteProjectImportWizardIterator.java:271)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1548)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1505)
	at org.openide.WizardDescriptor.access$1700(WizardDescriptor.java:137)
[catch] at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2076)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 14 Vladimir Kvashin 2011-03-31 16:23:51 UTC
Fixed in cnd-man
http://hg.netbeans.org/cnd-main/rev/1b49f26f8f36
Comment 15 Quality Engineering 2011-04-01 08:39:34 UTC
Integrated into 'main-golden', will be available in build *201104010400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1b49f26f8f36
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #196841 - remote FS doesn't work if any part of path to file does not have read permission
Comment 16 Alexander Pepin 2011-04-01 12:16:30 UTC
In build #5076 it does not work on Windows.
IDE log gives:
java.io.IOException: Remote file or directory /home/ap153252/exchange/tmp/Welcome_in_shared does not exist
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.createShadowProject(ShadowProjectSynchronizer.java:143)
	at org.netbeans.modules.cnd.makeproject.ui.wizards.RemoteProjectImportWizardIterator.instantiate(RemoteProjectImportWizardIterator.java:271)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1548)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1505)
	at org.openide.WizardDescriptor.access$1700(WizardDescriptor.java:137)
[catch] at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2076)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
INFO [remote.support.logger]: Storage has been unexpectedly deleted: C:\working\full_remote\.cnd_dev\var\cache\remote-files\nyx-intel2_22_hudson\home\ap153252\exchange\tmp\.rfs_cache
INFO [remote.support.logger]: Null file object for /home/ap153252/exchange/tmp
INFO [remote.support.logger]: Null file object for /home/ap153252/nbproject
INFO [remote.support.logger]: Null file object for /home/ap153252/exchange/tmp/Quote_in_shared
INFO [remote.support.logger]: Null file object for /home/ap153252/exchange/tmp
INFO [remote.support.logger]: Null file object for /home/ap153252/exchange/tmp/Quote_in_shared
INFO [org.openide.WizardDescriptor]
java.io.IOException: Remote file or directory /home/ap153252/exchange/tmp/Quote_in_shared does not exist
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.createShadowProject(ShadowProjectSynchronizer.java:143)
	at org.netbeans.modules.cnd.makeproject.ui.wizards.RemoteProjectImportWizardIterator.instantiate(RemoteProjectImportWizardIterator.java:271)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1548)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1505)
	at org.openide.WizardDescriptor.access$1700(WizardDescriptor.java:137)
[catch] at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2076)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
INFO [remote.support.logger]: Storage has been unexpectedly deleted: C:\working\full_remote\.cnd_dev\var\cache\remote-files\nyx-intel2_22_hudson\home\ap153252\exchange\tmp\Welcome__in__shared\.rfs_cache
INFO [remote.support.logger]: Storage has been unexpectedly deleted: C:\working\full_remote\.cnd_dev\var\cache\remote-files\nyx-intel2_22_hudson\home\ap153252\exchange\tmp\Quote__in__shared\.rfs_cache
INFO [remote.support.logger]: Storage has been unexpectedly deleted: C:\working\full_remote\.cnd_dev\var\cache\remote-files\nyx-intel2_22_hudson\home\ap153252\exchange\tmp\.rfs_cache
Comment 17 Alexander Pepin 2011-04-01 12:37:25 UTC
After some time and actions (add/remove items from folder?) when I tried to build another full remote project I got an error that the project is wright-protected. I checked permissions from console and found that the owner of the project folder was changed from "hudson" to "1111"
Comment 18 Vladimir Kvashin 2011-04-01 12:56:28 UTC
(In reply to comment #17)
I see that file in the directory you mentioned have owner "1111"; I see them as read-only as well, both in IDE and console. So I don't see any issue here.
Investigating the stack above...
Comment 19 Alexander Pepin 2011-04-01 13:59:40 UTC
The thread dump is:
Full thread dump Java HotSpot(TM) Client VM (16.3-b01 mixed mode, sharing):

"Parsing & Indexing Loop (cnd-build-5076-on-20110401)" daemon prio=10 tid=0x09002400 nid=0xeaa waiting on condition [0xaedf7000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x70b30068> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1925)
	at java.util.concurrent.PriorityBlockingQueue.take(PriorityBlockingQueue.java:220)
	at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:596)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)

"Inactive RequestProcessor thread [Was:Debugger Services Refresh/org.netbeans.api.debugger.Lookup$MetaInf$MetaInfLookupList$1]" daemon prio=10 tid=0x08e95400 nid=0xea8 in Object.wait() [0xafbfe000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x70b301c8> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:File objects cache dead entries cleanup/org.netbeans.modules.remote.impl.fs.RemoteFileObjectFactory$1]" daemon prio=10 tid=0xadd6c800 nid=0xea2 in Object.wait() [0xaeff8000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x70b5a380> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:SFTP: : listing directory /usr/bin/java.util.concurrent.FutureTask]" daemon prio=10 tid=0xae167800 nid=0xea1 in Object.wait() [0xb06a9000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x70b5a520> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:SFTP: : listing directory /dev/java.util.concurrent.FutureTask]" daemon prio=10 tid=0xae167000 nid=0xea0 in Object.wait() [0xaff9e000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x70b5a7c0> (a java.lang.Object)

"Inactive RequestProcessor thread [Was:SelectedNodesScheduler/org.netbeans.modules.parsing.impl.SelectedNodesScheduler$1]" daemon prio=10 tid=0xae892000 nid=0xe9f in Object.wait() [0xb361d000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1919)
	- locked <0x70b307e8> (a java.lang.Object)

"Preparing build" daemon prio=10 tid=0xadd6bc00 nid=0xe99 in Object.wait() [0xaf1f9000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.core.windows.services.DialogDisplayerImpl.notify(DialogDisplayerImpl.java:276)
	- locked <0x6f4e9a30> (a org.netbeans.core.windows.services.DialogDisplayerImpl$1AWTQuery)
	at org.netbeans.core.windows.services.DialogDisplayerImpl.notify(DialogDisplayerImpl.java:158)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:844)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$200(MakeConfigurationDescriptor.java:117)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:777)
	- locked <0x75744020> (a java.lang.Object)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:724)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:80)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:510)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:470)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:456)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:148)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:327)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1537)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"Class View Updater" prio=10 tid=0xae418000 nid=0x71b in Object.wait() [0xaf3fa000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater$BlockingQueue.get(ClassViewUpdater.java:68)
	- locked <0x7411faa0> (a java.lang.Object)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater.run(ClassViewUpdater.java:147)

"CND Repository Queue Dispatcher" daemon prio=10 tid=0x08d3fc00 nid=0x715 waiting on condition [0xb0aab000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x740a6d40> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1925)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at org.netbeans.modules.cnd.repository.queue.KeyValueQueue$EventsDispatcher.run(KeyValueQueue.java:146)

"Code Model Parser 1" daemon prio=10 tid=0x08fa1000 nid=0x6dd in Object.wait() [0xaf9fd000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:486)
	- locked <0x740d90d8> (a org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue$Lock)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:98)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:72)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:91)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"Connect thread nyx-intel2 session" daemon prio=10 tid=0x08fa5000 nid=0x6db runnable [0xb08aa000]
   java.lang.Thread.State: RUNNABLE
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.read(SocketInputStream.java:129)
	at com.jcraft.jsch.IO.getByte(IO.java:82)
	at com.jcraft.jsch.Session.read(Session.java:821)
	at com.jcraft.jsch.Session.run(Session.java:1241)
	at java.lang.Thread.run(Thread.java:619)

"Repository writer 0" daemon prio=10 tid=0x08f20800 nid=0x6c9 waiting on condition [0xb0ead000]
   java.lang.Thread.State: TIMED_WAITING (sleeping)
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.waitReady(RepositoryWritingThread.java:99)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:133)
	at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run(RepositoryThreadManager.java:88)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"Code Model Parser 0" daemon prio=10 tid=0x08cbf400 nid=0x69d in Object.wait() [0xaf7fc000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:486)
	- locked <0x740d90d8> (a org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue$Lock)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:98)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:72)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:91)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)

"File Watcher" daemon prio=10 tid=0x08d49c00 nid=0x650 runnable [0xb341c000]
   java.lang.Thread.State: RUNNABLE
	at com.sun.jna.Function.invokeInt(Native Method)
	at com.sun.jna.Function.invoke(Function.java:344)
	at com.sun.jna.Function.invoke(Function.java:276)
	at com.sun.jna.Library$Handler.invoke(Library.java:216)
	at org.netbeans.modules.masterfs.watcher.$Proxy15.read(Unknown Source)
	at org.netbeans.modules.masterfs.watcher.LinuxNotifier.nextEvent(LinuxNotifier.java:139)
	at org.netbeans.modules.masterfs.watcher.Watcher$Ext.run(Watcher.java:181)
	at java.lang.Thread.run(Thread.java:619)

"DestroyJavaVM" prio=10 tid=0xb209a000 nid=0x62c waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=10 tid=0x08992000 nid=0x641 in Object.wait() [0xb284c000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:479)
	- locked <0x731d9340> (a org.netbeans.core.TimableEventQueue)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:236)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:1038)
	at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:1072)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:1060)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:126)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1361)
	at org.openide.util.Mutex.readAccess(Mutex.java:271)
	at org.netbeans.core.windows.services.NbPresenter.show(NbPresenter.java:1045)
	at java.awt.Component.show(Component.java:1563)
	at java.awt.Component.setVisible(Component.java:1515)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.netbeans.core.windows.services.DialogDisplayerImpl$1AWTQuery.showDialog(DialogDisplayerImpl.java:245)
	at org.netbeans.core.windows.services.DialogDisplayerImpl$1AWTQuery.run(DialogDisplayerImpl.java:177)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at java.awt.Component.show(Component.java:1563)
	at java.awt.Component.setVisible(Component.java:1515)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTaskImpl(ModalMessageDlg.java:197)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTask(ModalMessageDlg.java:90)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeLongAction(MakeActionProvider.java:423)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.runActionWorker(MakeActionProvider.java:348)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeAction(MakeActionProvider.java:342)
	at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed(ProjectAction.java:134)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionPerformed(LookupSensitiveAction.java:170)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1223)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1264)
	at java.awt.Component.processMouseEvent(Component.java:6263)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6028)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

"Thread-3" daemon prio=10 tid=0x08c61000 nid=0x640 in Object.wait() [0xb244b000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0x73142518> (a java.util.LinkedList)

"TimerQueue" daemon prio=10 tid=0x089a7c00 nid=0x63d in Object.wait() [0xb264c000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.run(TimerQueue.java:232)
	- locked <0x729842b0> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:619)

"AWT-Shutdown" prio=10 tid=0x08990c00 nid=0x63b in Object.wait() [0xb2a4e000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	- locked <0x72984360> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:619)

"AWT-XAWT" daemon prio=10 tid=0x0898fc00 nid=0x63a runnable [0xb2c4f000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:541)
	at sun.awt.X11.XToolkit.run(XToolkit.java:505)
	at java.lang.Thread.run(Thread.java:619)

"Java2D Disposer" daemon prio=10 tid=0x08969800 nid=0x639 in Object.wait() [0xb2f5a000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x729844c0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:125)
	at java.lang.Thread.run(Thread.java:619)

"CLI Requests Server" daemon prio=10 tid=0xb4028400 nid=0x636 runnable [0xb381e000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:390)
	- locked <0x729846d8> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1081)

"Active Reference Queue Daemon" daemon prio=10 tid=0xb4022800 nid=0x635 in Object.wait() [0xb3a33000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x72984860> (a java.lang.ref.ReferenceQueue$Lock)
	at org.openide.util.lookup.implspi.ActiveQueue$Impl.run(ActiveQueue.java:101)
	at java.lang.Thread.run(Thread.java:619)

"Timer-0" daemon prio=10 tid=0xb401dc00 nid=0x634 in Object.wait() [0xb3c34000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0x729848f8> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

"Low Memory Detector" daemon prio=10 tid=0xb4000800 nid=0x632 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x088d5c00 nid=0x631 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x088d4000 nid=0x630 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x088ce400 nid=0x62f in Object.wait() [0xb466e000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x72984aa8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x088c9800 nid=0x62e in Object.wait() [0xb486f000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0x729844e8> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x088c8000 nid=0x62d runnable 

"VM Periodic Task Thread" prio=10 tid=0xb400b000 nid=0x633 waiting on condition 

JNI global references: 6193

Heap
 def new generation   total 37568K, used 24061K [0x6e680000, 0x70f40000, 0x72920000)
  eden space 33408K,  63% used [0x6e680000, 0x6fb15828, 0x70720000)
  from space 4160K,  71% used [0x70b30000, 0x70e19e58, 0x70f40000)
  to   space 4160K,   0% used [0x70720000, 0x70720000, 0x70b30000)
 tenured generation   total 83372K, used 59503K [0x72920000, 0x77a8b000, 0x7ae80000)
   the space 83372K,  71% used [0x72920000, 0x7633bdb8, 0x7633be00, 0x77a8b000)
 compacting perm gen  total 41216K, used 40976K [0x7ae80000, 0x7d6c0000, 0x92e80000)
   the space 41216K,  99% used [0x7ae80000, 0x7d684130, 0x7d684200, 0x7d6c0000)
    ro space 10240K,  61% used [0x92e80000, 0x934a6298, 0x934a6400, 0x93880000)
    rw space 12288K,  60% used [0x93880000, 0x93fb6cb8, 0x93fb6e00, 0x94480000)
Comment 20 Vladimir Kvashin 2011-04-01 18:29:22 UTC
Thank you. There really was an instability in remote file system in the case a directory lacked read permission. It is now fixed, use cases added to unit tests.

http://hg.netbeans.org/cnd-main/rev/1684d8d4cb79
http://hg.netbeans.org/cnd-main/rev/c1cdfa91d3a1
http://hg.netbeans.org/cnd-main/rev/0649b5c2a9f4
Comment 21 Quality Engineering 2011-04-02 08:50:19 UTC
Integrated into 'main-golden', will be available in build *201104020400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1684d8d4cb79
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: extra fix for #196841 - remote FS doesn't work if any part of path to file does not have read permission
- correct dummies processing in special directories
Comment 22 Alexander Pepin 2011-04-04 10:47:17 UTC
The fix is verified in dev build #5082. 
Please continue the showstopper process, review the fix and push it into
release70 ASAP.
Comment 23 Vladimir Voskresensky 2011-04-04 13:25:06 UTC
fixes are reviewed and they should be integrated
Comment 25 Alexander Pepin 2011-04-05 13:31:51 UTC
verified in RC2 build 20110405


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo